<template>
  <div class="page blog flexContainer-xl blog py-16">

    <div class="title mt-8 mx-auto">
      <h1>Blog</h1>
    </div>

    <div class="mt-12"
         v-if="posts">

      <article-card :post="post"
                    v-for="post in posts"
                    :key="post['_id']" />

    </div>
  </div>
</template>

<script>
import mdPosts from '~/data/blog.js'
import articleCard from '~/components/articleCard'

export default {
  name: 'blog',
  components: {
    articleCard
  },
  async asyncData({ app, route, error }) {

    async function importPost(name) {
      const post = await import('~/data/posts/' + name + '.md')
      return post.attributes
    }

    return Promise.all(mdPosts.map(post => importPost(post))).then((res) => {
      return {
        posts: res
      }
    })
  }
}
</script>

<style lang="scss" scoped>
.blog {
  min-height: calc(100vh - 4rem);
  .articleCard {
    &:not(:first-child) {
      @apply mt-16;
    }
  }
}
</style>
